function display(m)
%DISPLAY Display an object of class taksug
%    
%    DISPLAY(M) Display the object m of class taksug %
%    
%    See also: 
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Display an object of class taksug
%
%   @synopsis	display(m)
%   @description  Display the object m of class taksug
%%
%   @see 
%
%MAN_PAGE_END

error(checkargs({m},1,'taksug'));
ps = struct(m.mapping);
ps.n_rules = m.n_rules;
ps.model_code = m.model_code;
ps.m = m.m;
ps.centers = m.centers;
ps.ivariances = m.ivariances;
ps.rls = m.rls;
ps.mfs = m.mfs;
ps.linears = m.linears;

disp(' ');
disp([inputname(1),' =']);
disp(' ');
disp('A taksug object with the following attributes');
disp(' ');
disp(ps);
disp(' ');
